Subscribe / Unsubscribe Enewsletters | Login | Register

Pencil Banner

Mac OS X 10.11 system requirements: Will my Mac run OS X 10.11?

Ashleigh Allsopp | June 8, 2015
OS X 10.11 will be unveiled on Monday, but will it work on your Mac? We explore the expected system requirements.

Apple is set to unveil OS X 10.11, the new version of its Mac operating system, during its WWDC 2015 keynote on Monday. The software will probably be released in beta form for testing before later launching a public beta. But will OS X 10.11 work on your Mac? We investigate below.

Apple is hosting a special event on Monday 6 June, which we expect will be the first time we set our eyes on iOS 9 and OS X 10.11, as well as a new Apple TV, new Macs and new streaming services for Music and TV.

We'll be keeping you up to date with all of the news as it happens over on our WWDC 2015 live blog, but here we're talking you through whether we think your Mac will be able to run OS X 10.11 when it's released. We'll update this article when we know for sure but for now we can give you an educated guess based on Apple's history.

OS X 10.11 system requirements: Will 10.11 work on my Mac?
Yosemite required 2GB RAM to run, so we think the same will apply for its successor. You will also be likely to need 8GB of available storage. OS X 10.6.8 Snow Leopard is also presumably required, as you will need the Mac App Store in order to download the update before installing.

Yosemite can run on the following Macs:

iMac (Mid-2007 or later)

MacBook (13-inch Aluminum, Late 2008), (13-inch, Early 2009 or later)

MacBook Pro (13-inch, Mid-2009 or later), (15-inch, Mid/Late 2007 or later), (17-inch, Late 2007 or later)

MacBook Air (Late 2008 or later)

Mac Mini (Early 2009 or later)

Mac Pro (Early 2008 or later)

Xserve (Early 2009)

The requirements for Yosemite are the same as those for OS X 10.9 Mavericks, the previous operating system for Mac, so we think most if not all of the Macs listed above will be able to run OS X 10.11.

 

Sign up for CIO Asia eNewsletters.